Subject: bug#20237: Emacs built on Windows cannot figure out path correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Apr 2015 22:06:09 +0300

> Date: Sat, 04 Apr 2015 21:44:10 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sat, 04 Apr 2015 21:38:21 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > I think you need to use this instead:
> > 
> >   (setq python-shell-interpreter "/cygdrive/C/Python27/Scripts/ipython")
> > 
> > Or something like that -- I don't use Cygwin, so I might be mistaken
> > about the exact format you need to use.
> 
> Actually, if you use this format, you'd probably also need to use
> cygwin-mount as well.

There's probably one more issue here, and maybe this is the root cause
of the problem.  This part of the backtrace you posted:

  make-comint-in-buffer("Python" "*Python*" "c\\:/Python27/Scripts/ipython.exe" nil "-i" "--profile=dev" "--colors=Linux")
  apply(make-comint-in-buffer "Python" "*Python*" "c\\:/Python27/Scripts/ipython.exe" nil ("-i" "--profile=dev" "--colors=Linux"))
  python-shell-make-comint("c\\:/Python27/Scripts/ipython.exe -i --profile=dev --colors=Linux" "Python" nil)
  run-python("c\\:/Python27/Scripts/ipython.exe -i --profile=dev --colors=Linux")

seems to indicate that split-string-and-unquote, called by
python-shell-make-comint, fails to remove the backslash before the
colon.  I don't understand why this happens.  Can you see what's going
on inside python-shell-make-comint?

Fabián, can you help us out here?